import request from "@/utils/request";
import { Account_BaseUrl } from "@/api/config";
const baseURL = Account_BaseUrl + "/admin/payType";
const Api = {
  getList() {
    return request<any>({
      url: `${baseURL}`,
      method: "get",
    });
  },
  get(params: getRequset) {
    return request<any>({
      url: `${baseURL}/detail`,
      method: "get",
    });
  },
  edit(data: payType) {
    return request<any>({
      url: `${baseURL}`,
      method: "put",
      data
    });
  },
  add(data: payType) {
    return request<any>({
      url: `${baseURL}`,
      method: "post",
      data
    });
  },
  // 排序
  sort(params: sortRequest) {
    return request<any>({
      url: `${baseURL}/sort`,
      method: "get",
      params
    });
  }

};

export default Api;
export interface sortRequest {
  /**
   * 拖动的支付类型ID
   */
  id: number;
  /**
   * 店铺ID
   */
  shopId: number;
  /**
   * 目标位置排序号
   */
  targetSort: number;
  [property: string]: any;
}

interface getRequset {
  id?: string
}

export interface payType {
  /**
   * 图标
   */
  icon?: null | string;
  /**
   * 自增id
   */
  id?: number | null;
  /**
   * 0-不显示1显示
   */
  isDisplay?: number | null;
  /**
   * 0-非虚拟 1虚拟 virtual
   */
  isIdeal?: number | null;
  /**
   * 是否打开钱箱
   */
  isOpenCashDrawer?: number | null;
  /**
   * 0允许退款 1-不允许退款
   */
  isRefundable?: number | null;
  /**
   * 是否快捷展示1是0否
   */
  isShowShortcut?: number | null;
  /**
   * 0不是 1是 [系统级支付]
   */
  isSystem?: number | null;
  /**
   * 排序
   */
  sorts?: number | null;
  [property: string]: any;
}